Skip to content

Opt in to a fund

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Opt in to a fund

Security
oauth2ClientCredentials(Required scopes: investments:write)
Headers
Idempotency-Keystring

Required on write endpoints (POST). UUID per submission. Middleware dedupes for 24h.

org_wallet_refstring
business_idstringrequired
Bodyapplication/jsonrequired
fund_idstringrequired

Catalogue fund id

Example:"fund_britam_kes_mmf"
amountnumberrequired

Initial allocation, native currency

Example:100000
currencystringrequired
Enum:"KES""USD"
accepted_termsbooleanrequired

Must be true

Example:true
curl -i -X POST \
  https://developer.boyahq.com/_mock/v2/openapi/investments/opt-in \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Idempotency-Key: string' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "fund_id": "fund_britam_kes_mmf",
    "amount": 100000,
    "currency": "KES",
    "accepted_terms": true
  }'

Responses

Bodyapplication/json
fund_account_idstringrequired
Example:"fa_01HXYZ..."
statestringrequired
Example:"opt_in_pending"
messagestringrequired
Example:"opt-in approval requested"
Response
{ "fund_account_id": "fa_01HXYZ...", "state": "opt_in_pending", "message": "opt-in approval requested" }